## libtpl 1.5

=== tests/Makefile ===
# Makefile for tpl built-in test suite
# 
# This Makefile has three useful targets:
#
# all (default): 
#    Build and run all self-tests by compiling tpl into each test. 
#
#    Note: On Cygwin/MinGW, compiling the tpl source directly into the tests is
#    not supported (as they use 'replacement' functions which get included only
#    in libtpl), so on these platforms the 'alt' target is the default.
#
# alt:
#    Build and run all the self-tests by linking them with libtpl, which must
#    have been created beforehand (by running 'configure; make' in the
#    top-level directory); a reminder will be printed if you have not done so.
#
#    Note, libtool will create wrappers around each test to accomodate the 
#    pre-installed state of ../src/libtpl.la. In a real program, you'd link 
#    against an installed libtpl.la, and these wrappers would not be used.
#
# clean:
#    Clean up all the compiled bits.
#
PROGS = test1 test2 test3 test4 test5 test6 test7 test8 \
	test9 test10 test11 test12 test13 test14 test15 test16 \
	test17 test18 test19 test20 test21 test22 test23 test24 \
	test25 test26 test27 test28 test29 test30 test31 test32 \
	test33 test34 test35 test36 test37 test38 test39 test40 \
	test41 test42 test43 test44 test45 test46 test47 test48 \
	test49 test50 test51 test52 test53 test54 test55 test56 \
	test57 test58 test59 test60 test61 test62 test63 test64 \
    test65 test66 test67 test68 test69 test70 test71 test72 \
    test73 test74 test75 test76 test77 test78 test79 test80 \
    test81 test82 test83 test84 test85 test86 test87 test88 \
    test89 test90 test91 test92 test93 test94 test95 test96 \
    test97 test98 test99 test100 test101 test102 test103 test104 \
    test105 test106 test107 test108 test109 test110 test111 test112 \
    test113 test114 test115 test116 test117 test118 test119 test120 \
    test121 test122 test123 test124

TPLSRC = ../src
CFLAGS = -I$(TPLSRC) -g
CFLAGS += -pedantic 
CFLAGS += -Wall 
#CFLAGS += -m32
#CFLAGS += -m64
CFLAGS += -O3
#For testing without C99 feature support
#CFLAGS += -std=c89

# Prefer 64-bit compilation on Mac OS X (not necessary, just faster)
ifneq ($(strip $(shell $(CC) -v 2>&1 |egrep "i[0-9]+-apple-darwin")),)
  CFLAGS += -m64
endif

# detect Cygwin or MinGW
ifneq ($(strip $(shell $(CC) -v 2>&1 |egrep "cygwin|mingw")),)
  TESTS=./do_tests.cygwin
  # divert to the alt target; use tpl as a lib for Cygwin/Mingw 
  TARGET=alt
else
  TESTS=./do_tests
  TARGET=$(PROGS) run_tests
endif

all: $(TARGET) 

tpl.o :	$(TPLSRC)/tpl.c $(TPLSRC)/tpl.h
	$(CC) -c $(CFLAGS) $(TPLSRC)/tpl.c

$(PROGS) : tpl.o 
	$(CC) $(CFLAGS) -o $@ $(@).c tpl.o

run_tests: 
	perl $(TESTS)

# This target can be used to compile the tests as dependent on
# the tpl library (rather than compiling in the tpl source).
alt: mkalttests run_tests

mkalttests:
	@$(MAKE) -f Makefile.alt PROGS="$(PROGS)" 

.PHONY: clean 

clean:	
	rm -f $(PROGS) tpl.o test*.out test*.err test*.exe 
	rm -rf $(PROGS) test*.dSYM

=== debian/changelog ===
libtpl (1.5-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).
  * Use automake's "foreign" option to fix FTBFS while autoreconfing.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 04 Jan 2014 23:02:11 -0500

libtpl (1.5-2) unstable; urgency=low

  * Added a pkg-config file.

 -- Kari Pahula <kaol@debian.org>  Wed, 23 Jun 2010 00:30:15 +0300

libtpl (1.5-1) unstable; urgency=low

  * Initial release (Closes: #584464)

 -- Kari Pahula <kaol@debian.org>  Thu, 03 Jun 2010 21:51:31 +0300

=== debian/control ===
Source: libtpl
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), dh-autoreconf
Standards-Version: 3.8.4
Homepage: http://tpl.sourceforge.net/

Package: libtpl-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, libtpl0 (>= ${source:Upstream-Version}), libtpl0 (<<  ${source:Upstream-Version}+1~)
Description: efficient C serialization library - development files
 Tpl is a library for serializing C data. The data is stored in its
 natural binary form. The API is small and tries to stay "out of the
 way". Tpl can serialize many C data types, including structures.
 .
 Tpl makes a convenient file format. For example, suppose a program
 needs to store a list of user names and ids. This can be expressed
 using the format string "A(si)". If the program needs two such lists
 (say, one for regular users and one for administrators) this could be
 expressed as "A(si)A(si)". It is easy to read and write this kind of
 structured data using tpl.
 .
 Tpl can also be used as an IPC message format. It handles byte order
 issues and deframing individual messages off of a stream
 automatically.

Package: libtpl0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: efficient C serialization library
 Tpl is a library for serializing C data. The data is stored in its
 natural binary form. The API is small and tries to stay "out of the
 way". Tpl can serialize many C data types, including structures.
 .
 Tpl makes a convenient file format. For example, suppose a program
 needs to store a list of user names and ids. This can be expressed
 using the format string "A(si)". If the program needs two such lists
 (say, one for regular users and one for administrators) this could be
 expressed as "A(si)A(si)". It is easy to read and write this kind of
 structured data using tpl.
 .
 Tpl can also be used as an IPC message format. It handles byte order
 issues and deframing individual messages off of a stream
 automatically.

=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_CHANGELOGS_ALL = doc/txt/ChangeLog.txt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

clean::
	rm -rf autom4te.cache

# Add here any variable or target overrides you need.

## libtpl 1.6.1

=== doc/Makefile ===
HTML=$(patsubst %.txt,%.html,$(wildcard *.txt))

all: $(HTML)
  
# when each target of a multi-target rule has its own prereq 
# we use a static pattern rule. 
$(HTML): %.html: %.txt
	asciidoc -a toc2 $<

TMP=/tmp/tpl-gh-pages
stage:
	mkdir -p ${TMP}
	rm -if ${TMP}/*
	cp *.html *.css *.png ${TMP}

=== tests/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
     test97 test98 test99 test100 test101 test102 test103 test104 \
     test105 test106 test107 test108 test109 test110 test111 test112 \
     test113 test114 test115 test116 test117 test118 test119 test120 \
-    test121 test122 test123 test124
+    test121 test122 test123 test124 test125
 
 TPLSRC = ../src
 CFLAGS = -I$(TPLSRC) -g

=== tests/threads/Makefile ===
TPLSRC = ../../src
PROGS = test1

# Thread support requires compiler-specific options
# ----------------------------------------------------------------------------
# GNU 
CFLAGS = -I$(TPLSRC) -g -pthread
# Solaris (Studio 11 on Sparc Ultra3) 
#CFLAGS = -I$(TPLSRC) -g -mt
# ----------------------------------------------------------------------------

all: $(PROGS) run_tests

tpl.o :	$(TPLSRC)/tpl.c $(TPLSRC)/tpl.h
	$(CC) -c $(CFLAGS) $(TPLSRC)/tpl.c

$(PROGS) : tpl.o 
	$(CC) $(CFLAGS) -o $@ $(@).c tpl.o

run_tests: $(PROGS)
	perl ../do_tests

.PHONY: clean

clean:	
	rm -f $(PROGS) tpl.o test*.out

=== debian/changelog ===
libtpl (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el
    (Closes: #734567)
  * Standards-Version: 3.9.5
    * Skip installing .la files.

 -- Kari Pahula <kaol@debian.org>  Sun, 16 Mar 2014 10:50:31 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_CHANGELOGS = doc/ChangeLog.txt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

clean::
	rm -rf autom4te.cache
